/*  
  debug.h
*/
/* 
   BlueMP3 firmware (c) 2004 by Till Harbaum, harbaum@beecon.de
*/

/*
   Dieser Code ist Teil der BlueMP3-Firmware wie den den Ausgaben
   8, 9 und 10 2004 des Computermagazins c't.

   Der Autor bernimmt keinerlei Garantie fr diesen Code. Dieser
   Code darf ohne Zustimmung des Autors in keiner Form weitervertrieben 
   werden.

   Dieser Code ist fr rein diadaktische Zwecke gedacht und ist 
   mglicherweise nicht kompatibel mit den Bluetooth-Standards.
*/

/*
   This code is part of the BlueMP3 firmware as published in issues
   8, 9, and 10 2004 of the german computer magazine c't. 

   The code comes without warantee of any kind, either expressed or
   implied. This code may not be distributed in any form without
   permission by the author.

   The code is provided for educational purposes only and may not comply 
   to the bluetooth standards.
*/

#ifndef DEBUG_H
#define DEBUG_H

#include "types.h"
#include "utils.h"
#include "console.h"

#define DEBUG

// enable this to see all bytes on the hci uart interface
// (this will slow down the transfer and make full speed
// mp3 transfer impossible)
// #define DEBUG_UART

// enable different layers of debug output

#ifdef DEBUG
#define DEBUG_MAIN(a) console_puts(FSTR(a))
#define DEBUG_HCI(a) console_puts(FSTR("HCI: " a))
#define DEBUG_MP3(a) console_puts(FSTR("MP3: " a))
#else
#define DEBUG_MAIN(a)
#define DEBUG_HCI(a)
#define DEBUG_MP3(a)
#endif

#endif //DEBUG_H
