/*
  hci_csr.h
*/
/* 
   BlueMP3 firmware (c) 2004 by Till Harbaum, harbaum@beecon.de
*/

/*
   Dieser Code ist Teil der BlueMP3-Firmware wie den den Ausgaben
   8, 9 und 10 2004 des Computermagazins c't.

   Der Autor bernimmt keinerlei Garantie fr diesen Code. Dieser
   Code darf ohne Zustimmung des Autors in keiner Form weitervertrieben 
   werden.

   Dieser Code ist fr rein diadaktische Zwecke gedacht und ist 
   mglicherweise nicht kompatibel mit den Bluetooth-Standards.
*/

/*
   This code is part of the BlueMP3 firmware as published in issues
   8, 9, and 10 2004 of the german computer magazine c't. 

   The code comes without warantee of any kind, either expressed or
   implied. This code may not be distributed in any form without
   permission by the author.

   The code is provided for educational purposes only and may not comply 
   to the bluetooth standards.
*/

#ifndef HCI_CSR_H
#define HCI_CSR_H

// increased baudrate for hci interface
#define HCI_BAUDRATE  460800l
#define CSR_CMD_CONFIG_UART 0x6802

#define HCI_CSR_GET  0
#define HCI_CSR_SET  2

/* calculate csr bitrates from devider factor */
#define CSR_BAUD2FACTOR(a)  (((((a)*64)+7812)/15625l))
#define CSR_FACTOR2BAUD(a)  ((((a)*15625l)-7812)/64l)

void hci_csr_init(void);
void hci_csr_event(u08_t len);

#endif // HCI_CSR_H
