/*
  hci_event.h

  hci layer event processing
*/
/* 
   BlueMP3 firmware (c) 2004 by Till Harbaum, harbaum@beecon.de
*/

/*
   Dieser Code ist Teil der BlueMP3-Firmware wie den den Ausgaben
   8, 9 und 10 2004 des Computermagazins c't.

   Der Autor bernimmt keinerlei Garantie fr diesen Code. Dieser
   Code darf ohne Zustimmung des Autors in keiner Form weitervertrieben 
   werden.

   Dieser Code ist fr rein diadaktische Zwecke gedacht und ist 
   mglicherweise nicht kompatibel mit den Bluetooth-Standards.
*/

/*
   This code is part of the BlueMP3 firmware as published in issues
   8, 9, and 10 2004 of the german computer magazine c't. 

   The code comes without warantee of any kind, either expressed or
   implied. This code may not be distributed in any form without
   permission by the author.

   The code is provided for educational purposes only and may not comply 
   to the bluetooth standards.
*/

#ifndef HCI_EVENT_H
#define HCI_EVENT_H

/* supported hci event types */
#define EVT_CONNECTION_COMPLETE            0x03
#define EVT_CONNECTION_REQUEST             0x04
#define EVT_DISCONNECT_COMPLETE            0x05
#define EVT_COMMAND_COMPLETE               0x0e
#define EVT_COMMAND_STATUS                 0x0f
#define EVT_HARDWARE_ERROR                 0x10
#define EVT_NUMBER_OF_COMPLETE_PKTS        0x13
#define EVT_VENDOR                         0xff

extern u08_t hci_further_commands;
u08_t hci_event(u16_t cmd, void *data);

#endif // HCI_EVENT_H
