/*
  hci_info.h

  hci info event processing 
*/
/* 
   BlueMP3 firmware (c) 2004 by Till Harbaum, harbaum@beecon.de
*/

/*
   Dieser Code ist Teil der BlueMP3-Firmware wie den den Ausgaben
   8, 9 und 10 2004 des Computermagazins c't.

   Der Autor bernimmt keinerlei Garantie fr diesen Code. Dieser
   Code darf ohne Zustimmung des Autors in keiner Form weitervertrieben 
   werden.

   Dieser Code ist fr rein diadaktische Zwecke gedacht und ist 
   mglicherweise nicht kompatibel mit den Bluetooth-Standards.
*/

/*
   This code is part of the BlueMP3 firmware as published in issues
   8, 9, and 10 2004 of the german computer magazine c't. 

   The code comes without warantee of any kind, either expressed or
   implied. This code may not be distributed in any form without
   permission by the author.

   The code is provided for educational purposes only and may not comply 
   to the bluetooth standards.
*/

#include "types.h"
#include "hci.h"
#include "hci_info.h"
#include "hci_acl.h"
#include "hci_uart.h"
#include "debug.h"

void hci_info_init(void) {
  hci_buffers_t buffers;

  static u08_t hci_cmd_read_bsize[] = {    
    OPCODE(OGF_INFO_PARAM, OCF_READ_BUFFER_SIZE), 0 };
  
  /* read buffer size, this is required to enable flow control */
  hci_send_cmd(hci_cmd_read_bsize, sizeof(hci_cmd_read_bsize), 
	       HCI_PARMS, &buffers);
  
  hci_acl_set(buffers.acl_num, buffers.acl_len);
}
