/*
  hci_uart.h

  hci specific helper functions for uart operation
*/
/* 
   BlueMP3 firmware (c) 2004 by Till Harbaum, harbaum@beecon.de
*/

/*
   Dieser Code ist Teil der BlueMP3-Firmware wie den den Ausgaben
   8, 9 und 10 2004 des Computermagazins c't.

   Der Autor bernimmt keinerlei Garantie fr diesen Code. Dieser
   Code darf ohne Zustimmung des Autors in keiner Form weitervertrieben 
   werden.

   Dieser Code ist fr rein diadaktische Zwecke gedacht und ist 
   mglicherweise nicht kompatibel mit den Bluetooth-Standards.
*/

/*
   This code is part of the BlueMP3 firmware as published in issues
   8, 9, and 10 2004 of the german computer magazine c't. 

   The code comes without warantee of any kind, either expressed or
   implied. This code may not be distributed in any form without
   permission by the author.

   The code is provided for educational purposes only and may not comply 
   to the bluetooth standards.
*/

#ifndef HCI_UART_H
#define HCI_UART_H

#include "uart.h"

void hci_uart_put(u08_t a);

u08_t hci_uart_get(void);
void  hci_uart_send(u08_t *data, u16_t len);

void  hci_uart_send_zero(u16_t len);
void  hci_uart_get_n(u08_t *data, u16_t len);
void  hci_uart_drop(u16_t bytes);
u16_t hci_uart_get_u16(void);
void  hci_uart_put_u16(u16_t val);
void  hci_uart_echo(u16_t len);

#endif
