/*
  timer.h - header file for timer.c
*/
/* 
   BlueMP3 firmware (c) 2004 by Till Harbaum, harbaum@beecon.de
*/

/*
   Dieser Code ist Teil der BlueMP3-Firmware wie den den Ausgaben
   8, 9 und 10 2004 des Computermagazins c't.

   Der Autor bernimmt keinerlei Garantie fr diesen Code. Dieser
   Code darf ohne Zustimmung des Autors in keiner Form weitervertrieben 
   werden.

   Dieser Code ist fr rein diadaktische Zwecke gedacht und ist 
   mglicherweise nicht kompatibel mit den Bluetooth-Standards.
*/

/*
   This code is part of the BlueMP3 firmware as published in issues
   8, 9, and 10 2004 of the german computer magazine c't. 

   The code comes without warantee of any kind, either expressed or
   implied. This code may not be distributed in any form without
   permission by the author.

   The code is provided for educational purposes only and may not comply 
   to the bluetooth standards.
*/

#ifndef TIMER_H
#define TIMER_H

// default timer rate
// some values (e.g. 1Hz) are very inaccurate
#define TIMER_HZ 100  

/* use 16 bit tick counter (will wrap every 10 min!) */
typedef u16_t ticks_t;
extern volatile ticks_t timer_ticks;

void    timer_init(void);

static inline ticks_t timer_get_ticks(void) {
  return timer_ticks;
}

#endif
