/*
  types.h
 */
/* 
   BlueMP3 firmware (c) 2004 by Till Harbaum, harbaum@beecon.de
*/

/*
   Dieser Code ist Teil der BlueMP3-Firmware wie den den Ausgaben
   8, 9 und 10 2004 des Computermagazins c't.

   Der Autor bernimmt keinerlei Garantie fr diesen Code. Dieser
   Code darf ohne Zustimmung des Autors in keiner Form weitervertrieben 
   werden.

   Dieser Code ist fr rein diadaktische Zwecke gedacht und ist 
   mglicherweise nicht kompatibel mit den Bluetooth-Standards.
*/

/*
   This code is part of the BlueMP3 firmware as published in issues
   8, 9, and 10 2004 of the german computer magazine c't. 

   The code comes without warantee of any kind, either expressed or
   implied. This code may not be distributed in any form without
   permission by the author.

   The code is provided for educational purposes only and may not comply 
   to the bluetooth standards.
*/

#ifndef TYPES_H
#define TYPES_H

#ifndef NULL
#define NULL ((void*)0)
#endif

#define PACKED __attribute__ ((packed))

/* various useful types */
typedef unsigned long int  u32_t;
typedef signed long int    s32_t;
typedef unsigned short int u16_t;
typedef signed short int   s16_t;
typedef unsigned char      u08_t;
typedef signed char        s08_t;
typedef unsigned char      bool_t;

#define FALSE 0
#define TRUE  1

/* macro to store strings in flash: */
#include <avr/pgmspace.h>
#define FSTR(s) ({static const u08_t PROGMEM __c[] = (s); __c;})

#endif // TYPES_H
