/*
  uart.h
*/
/* 
   BlueMP3 firmware (c) 2004 by Till Harbaum, harbaum@beecon.de
*/

/*
   Dieser Code ist Teil der BlueMP3-Firmware wie in den Ausgaben
   8, 9 und 10 2004 des Computermagazins c't publiziert.

   Der Autor bernimmt keinerlei Garantie fr diesen Code. Dieser
   Code darf ohne Zustimmung des Autors in keiner Form weitervertrieben 
   werden.

   Dieser Code ist fr rein diadaktische Zwecke gedacht und ist 
   mglicherweise nicht kompatibel mit den Bluetooth-Standards.
*/

/*
   This code is part of the BlueMP3 firmware as published in issues
   8, 9, and 10 2004 of the german computer magazine c't. 

   The code comes without warantee of any kind, either expressed or
   implied. This code may not be distributed in any form without
   permission by the author.

   The code is provided for educational purposes only and may not comply 
   to the bluetooth standards.
*/

#ifndef UART_H
#define UART_H

#include "types.h"

// uart constants
#define UART0 1
#define UART1 2

#define DEFAULT_BAUDRATE_REG 3  // 115k@7Mhz
#define HCI_BAUDRATE_REG     0  // 460k@7Mhz

// uart settings
#define UART1_RTS_DDR     (DDRD)
#define UART1_RTS_PORT    (PORTD)
#define UART1_RTS_BIT     (0)
#define UART1_RTS_OFFSET  (16)       // low/high watermark offset

#define UART1_CTS_DDR     (DDRD)
#define UART1_CTS_PORT    (PIND)
#define UART1_CTS_BIT     (1)

extern void uart_init(void);

void  uart_set_bitrate(void);
void  uart_enable_rx(bool_t on);
void  uart_putc(u08_t uart, u08_t chr);
u08_t uart_input_avail(void);
u08_t uart_getc(void);

#endif // UART_H
