/*
  utils.h

*/
/* 
   BlueMP3 firmware (c) 2004 by Till Harbaum, harbaum@beecon.de
*/

/*
   Dieser Code ist Teil der BlueMP3-Firmware wie den den Ausgaben
   8, 9 und 10 2004 des Computermagazins c't.

   Der Autor bernimmt keinerlei Garantie fr diesen Code. Dieser
   Code darf ohne Zustimmung des Autors in keiner Form weitervertrieben 
   werden.

   Dieser Code ist fr rein diadaktische Zwecke gedacht und ist 
   mglicherweise nicht kompatibel mit den Bluetooth-Standards.
*/

/*
   This code is part of the BlueMP3 firmware as published in issues
   8, 9, and 10 2004 of the german computer magazine c't. 

   The code comes without warantee of any kind, either expressed or
   implied. This code may not be distributed in any form without
   permission by the author.

   The code is provided for educational purposes only and may not comply 
   to the bluetooth standards.
*/

#ifndef UTILS_H
#define UTILS_H

#include "types.h"
#include <stdarg.h>

/* variant with a bit length field. good for inlining */
static inline void utils_memcpy(void *dst, void *src, u08_t len) {
  while(len--)
    *((u08_t*)dst)++ = *((u08_t*)src)++;
}

static inline void utils_memzero(void *dst, u16_t len) {
  while(len--)
    *((u08_t*)dst)++ = 0;
}

#endif // UTILS_H
